# std::atomic::operator T()

From cppreference.com
< cpp‎ | atomic‎ | atomic

|  | (since C++11)
operator T() const; |  |
operator T() const volatile; |  |

Atomically loads and returns the current value of the atomic variable. Equivalent to load().

### Parameters

(none)

### Return value

The current value of the atomic variable.

### Exceptions

`noexcept` specification:
noexcept

### See also

load | atomically obtains the value of the atomic object (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/atomic/atomic/operator_T&oldid=91330"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template